/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */


#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif


/*! @name PORTC14 (number 86), OpenSDA_UART
  @{ */
#define BOARD_INITPINS_DEBUG_UART_RX_PERIPHERAL LPUART4   /*!<@brief Device name: LPUART4 */
#define BOARD_INITPINS_DEBUG_UART_RX_SIGNAL RX            /*!<@brief LPUART4 signal: RX */
#define BOARD_INITPINS_DEBUG_UART_RX_PORT PORTC           /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_DEBUG_UART_RX_PIN 14U              /*!<@brief PORTC pin index: 14 */
#define BOARD_INITPINS_DEBUG_UART_RX_PIN_NAME LPUART4_RX  /*!<@brief Pin name */
#define BOARD_INITPINS_DEBUG_UART_RX_LABEL "OpenSDA_UART" /*!<@brief Label */
#define BOARD_INITPINS_DEBUG_UART_RX_NAME "DEBUG_UART_RX" /*!<@brief Identifier name */
                                                          /* @} */

/*! @name PORTC15 (number 87), OpenSDA_UART
  @{ */
#define BOARD_INITPINS_DEBUG_UART_TX_PERIPHERAL LPUART4   /*!<@brief Device name: LPUART4 */
#define BOARD_INITPINS_DEBUG_UART_TX_SIGNAL TX            /*!<@brief LPUART4 signal: TX */
#define BOARD_INITPINS_DEBUG_UART_TX_PORT PORTC           /*!<@brief PORT device name: PORTC */
#define BOARD_INITPINS_DEBUG_UART_TX_PIN 15U              /*!<@brief PORTC pin index: 15 */
#define BOARD_INITPINS_DEBUG_UART_TX_PIN_NAME LPUART4_TX  /*!<@brief Pin name */
#define BOARD_INITPINS_DEBUG_UART_TX_LABEL "OpenSDA_UART" /*!<@brief Label */
#define BOARD_INITPINS_DEBUG_UART_TX_NAME "DEBUG_UART_TX" /*!<@brief Identifier name */
                                                          /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
